@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,600,700&display=swap&subset=cyrillic');

a {
    text-decoration: none;
}

li {
    list-style: none;
}

.button-up{
    position: fixed;
    bottom: 50px;
    right: 50px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: rgb(0 0 0 / 30%);
    color: white;
    line-height: 50px;
    text-align: center;
    font-size: 50px;
    cursor: pointer;
    user-select: none;
    display: none;
}

.show-button{
    margin: 20px auto;
    width: 100px;
    height: 25px;
    background: #14b9d5;
    border-radius: 15px;
    line-height: 25px;
    text-align: center;
    text-transform: uppercase;color: white;
    cursor: pointer;
    user-select: none;
    font-size: 14px;
}

.wrapper {
    min-width: 1180px;
    margin: 0 auto;
    font-family: "Open Sans";
    overflow-x: hidden;


    perspective: 50px;
    height: 100vh;
}

/*Head zone*/
.header {
    height: 70px;
    background-color: #1d2124;
}

.wrap {
    display: flex;
    align-items: center;
    color: white;
    height: 100%;
    justify-content: space-between;
}

/*logo*/
.logo {
    display: flex;
    align-items: center;
}

.logo-name {
    margin-left: 6px;
    font-size: 22px;
}

/*Logo and search pic*/
.logo-ico, .top-search {
    width: 68px;
    height: 70px;
    background-color: #171a1c;
    text-align: center;
    line-height: 70px;
}

.top-search {
    position: relative;
}

#search {
    padding: 0;
    position: absolute;
    width: 0;
    height: 40px;
    text-indent: 10px;
    right: 50px;
    top: 15px;
    border: none;
    outline: none;
    transition: 0.5s;
    border-radius: 30px;

}

.top-search:hover #search, #search:active, #search:focus {
    width: 200px;
}

.wrap img {
    vertical-align: middle;
}

/*Links in head*/
.header menu {
    display: flex;
    font-weight: 600;
}

.link {
    text-decoration: none;
    color: white;
    padding: 0 18px;
    text-transform: uppercase;
    font-size: 20px;
    cursor: pointer;
    user-select: none;
}

.link:hover {
    text-decoration: underline;
}

/*---end of top---*/

/*Title zone*/
.title-zone {
    position: relative;
    overflow: hidden;
    height: 370px;
    width: 100%;
}

.title-zone::before {
    content: "";
    position: absolute;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: -1;
    transform: translateZ(-150px) scale(4);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url(../img/header-bg.jpeg);
    min-width: 1200px;
    min-height: 370px;
}


.tz-solid-color {
    background-color: rgba(0, 0, 0, 0.3);
    height: 370px;
    overflow: hidden;
}

.tz-content {
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.tz-header {
    text-align: center;
    text-transform: uppercase;
    color: white;
    font-size: 27px;
}

.tz-buttons {
    color: white;
    margin: 35px auto;
    width: 380px;
    font-weight: 500;
    display: flex;
}

.tz-subscribe, .tz-best-art {
    width: 170px;
    height: 55px;
    border-radius: 5px;
    margin: 0 10px;
    text-decoration: none;
    color: white;
    line-height: 55px;
    text-align: center;
    font-size: 18px;
}

.tz-subscribe {
    background-color: #89ca62;
}

.tz-subscribe:hover {
    background-color: limegreen;
}

.tz-best-art {
    background-color: #14b9d5;
}

.tz-best-art:hover {
    background-color: dodgerblue;
}

/*---end of title---*/

/*MOP*/
.pop-posts {
    height: 1030px;
    background-color: #f2f2f2;
    text-align: center;
    overflow: hidden;
}

.title {
    text-transform: uppercase;
    color: #18b4cf;
    font-size: 27px;
    font-weight: bold;
    margin-top: 50px;
}

.pop-gallery {
    margin-top: 52px;
}

.pop-content {
    margin: 0 auto;
    width: 1170px;
    height: 828px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: space-between;
}

.pop-content img {
    display: block;
}

.pop-groups {
    display: flex;
    flex-direction: column;
}

.pop-items {
    display: block;
    flex-basis: auto;
}

.pop-items:nth-child(even) {
    margin-top: 33px;
}

.img-text {
    width: 100%;
    height: 61px;
    background-color: white;
    color: #353a3d;
    line-height: 61px;
    font-weight: bold;
}

/*---Grid---*/
.grid-head {
    overflow: hidden;
    position: relative;
    height: 590px;

}

.grid-head::after {
    content: "";
    transform: translateZ(-150px) scale(4);
    background-image: url(../img/parallax-bg.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100vw;
    height: 100vh;
    min-width: 1200px;
    min-height: 590px;

}

.grid-head-color {

    background-color: rgba(0, 0, 0, 0.3);
    height: 100%;
    overflow: hidden;
    display: grid;
}

.our-mpc {
    width: 881px;
    height: 193px;
    color: white;
    display: grid;
    grid-template-rows: repeat(3, auto);
    align-content: space-between;
    justify-items: stretch;
    margin: auto;
    text-align: center;
}

.mpc-title {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 35px;
}

.mpc-cli {
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-content: space-between;
    align-items: center;
}

.mpc-cli img {
    display: block;
}

.mpc-line {
    border-bottom: 3px solid #169cb4;
    width: 60px;
    justify-self: center;
}


.grid-top {
    text-align: center;
    display: grid;
    justify-content: center;

}

.g-top-title {
    align-self: baseline;

}

/*Gallery line in Top Rated*/
.g-top-gallery {
    margin-top: 52px;
    display: grid;
    grid-template-columns: repeat(7, auto);
    grid-template-rows: auto;
    align-self: end;
    justify-items: center;
    width: 100%;
}

.g-top-gallery img {
    display: block;
    width: 100%;
    border: 0;
    outline: 0;
}

.g-con-title {
    text-align: center;
}

/*-----*/

/*Grid gallery zone* имхо - флексами тут проще )))*/
.g-con-gallery {
    margin: 51px auto 0;
    width: 1140px;
    height: 1480px;
    display: grid;
    grid-template-rows: repeat(4, auto);
    grid-template-columns: repeat(4, auto);
    grid-template-areas:    " g-1 g-1 g-1 g-2 "
                            " g-3 g-3 g-4 g-4 "
                            " g-5 g-5 g-6 g-6 "
                            " g-7 g-8 g-8 g-8 ";
    justify-content: space-between;
    align-content: space-between;
    grid-column-gap: 30px;
}

/*-----*/

/*picture-1*/
/*Copy to Pic-8*/
.g-con-g-item-1 {
    display: grid;
    grid-template-columns: 483px 1fr;
    grid-template-rows: auto auto;
    text-align: right;
    align-items: center;
    background-color: #f9f7f7;
}

.g-con-pic-1 {
    grid-row: 1 / span 2;
}

.g-con-title-1 {
    color: #414649;
    font-size: 18px;
    font-weight: bold;
    margin: 0 5%;
}

.g-con-text-1 {
    color: #5b6469;
    font-size: 14px;
    margin: 0 5%;
    align-self: start;
    font-weight: 600;
}

/*---*/

/*picture-2*/
/*Copy to Pic-7*/
.g-con-g-item-2 {
    display: grid;
    align-content: start;
    grid-template-columns: auto;
    grid-template-rows: auto 48px;
    background-color: #f9f7f7;
    text-align: center;
    align-items: center;
    box-sizing: content-box;
}

.g-con-title-2 {
    font-weight: bold;
    font-size: 18px;
    color: #414649;
}

/*---*/

/*picture-3*/
/*Copy to Pic-4, Pic-5, Pic-6*/
.g-con-g-item-3 {
    text-align: right;
    display: grid;
    grid-template-rows: auto auto auto;
    align-items: stretch;
    background-color: #f9f7f7;
}

.g-con-text-3 {
    margin: 0 5%;
    font-weight: bold;
    font-size: 18px;
    color: #414649;

}

.g-con-text-3-1 {
    color: #5b6469;
    font-size: 14px;
    margin: 0 5%;
    font-weight: 600;
}

/*-----*/

/*For Template Areas*/
.g-1 {
    grid-area: g-1;
}

.g-2 {
    grid-area: g-2;
    justify-self: right;
}

.g-3 {
    grid-area: g-3;
}

.g-4 {
    grid-area: g-4;
    justify-self: right;
}

.g-5 {
    grid-area: g-5;
}

.g-6 {
    grid-area: g-6;
    justify-self: right;
}

.g-7 {
    grid-area: g-7;
}

.g-8 {
    grid-area: g-8;
    justify-self: right;
}

/*-----*/

/*Footer*/
.grid-footer {
    margin-top: 71px;
    height: 80px;
    background-color: #1d2124;
    display: grid;
    grid-template-columns: auto auto;
    align-content: center;
    justify-content: center;
    font-size: 13px;
    grid-column-gap: 20%;
}

.bottom-rights {
    color: white;
    line-height: 24px;
}

.bottom-ico img {
    vertical-align: top;
}

/*-----*/
